Skip to main content
GET
/
api
/
contacts
List contacts
curl --request GET \
  --url https://core-api.getaptly.com/api/contacts \
  --header 'x-token: <api-key>'
{
  "data": [
    {}
  ],
  "count": 123,
  "page": 123,
  "pageSize": 123
}

Authorizations

x-token
string
header
required

Query Parameters

page
integer
required

Zero-based page index.

Required range: x >= 0
contact_type
string

Filter by contact type name.

email
string

Filter by exact email address (case-insensitive).

phone
string

Filter by phone number (digits only, partial match).

name
string

Filter by full name (case-insensitive, all words must match).

updated_after
string<date-time>

Return only contacts updated after this ISO 8601 timestamp.

updated_before
string<date-time>

Return only contacts updated before this ISO 8601 timestamp.

Response

Paginated contact list.

data
object[]
count
integer
page
integer
pageSize
integer